<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
{% load admin_static %}
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Campus UDL</title>

<link rel="stylesheet" type="text/css" href="{% admin_media_prefix %}css/changelists.css" />
<link rel="stylesheet" type="text/css" href="{% admin_media_prefix %}css/forms.css" />

  
<link rel="stylesheet" type="text/css" media="screen" href="{% admin_media_prefix %}js/jqgrid3.8.2/src/css/redmond/jquery-ui-1.8.2.custom.css" />
<link rel="stylesheet" type="text/css" media="screen" href="{% admin_media_prefix %}js/jqgrid3.8.2/src/css/ui.jqgrid.css" />
<link rel="stylesheet" type="text/css" media="screen" href="{% admin_media_prefix %}js/jqgrid3.8.2/src/css/ui.multiselect.css" />

<style>
html, body {
	margin: 0;			/* Remove body margin/padding */
	padding: 0;
	overflow: hidden;	/* Remove scroll bars on browser window */	
    font-size: 75%;
}
/*Splitter style */


#LeftPane {
	/* optional, initial splitbar position */
	overflow: auto;
}
/*
 * Right-side element of the splitter.
*/

#RightPane {
	padding: 2px;
	overflow: auto;
}
.ui-tabs-nav li {position: relative;}
.ui-tabs-selected a span {padding-right: 10px;}
.ui-tabs-close {display: none;position: absolute;top: 3px;right: 0px;z-index: 800;width: 16px;height: 14px;font-size: 10px; font-style: normal;cursor: pointer;}
.ui-tabs-selected .ui-tabs-close {display: block;}
.ui-layout-west .ui-jqgrid tr.jqgrow td { border-bottom: 0px none;}
.ui-datepicker {z-index:1200;}
</style>

<script src="{% admin_media_prefix %}js/jqgrid3.8.2/js/jquery-1.4.2.min.js" type="text/javascript"></script>
<script src="{% admin_media_prefix %}js/jqgrid3.8.2/js/i18n/grid.locale-es.js" type="text/javascript"></script>
<script src="{% admin_media_prefix %}js/jqgrid3.8.2/js/jquery.jqGrid.min.js" type="text/javascript"></script>

<!-- <script src="js/jquery.min.js" type="text/javascript"></script> -->

<!-- agregados -->
<script src="{% admin_media_prefix %}js/jqgrid3.8.2/js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
<script src="{% admin_media_prefix %}js/jqgrid3.8.2/js/jquery.layout.js" type="text/javascript"></script> 
<!-- <script src="js/i18n/grid.locale-sp.js" type="text/javascript"></script> -->
<script type="text/javascript">
	$.jgrid.no_legacy_api = true;
	$.jgrid.useJSON = true;
</script>

<!-- <script src="js/jquery.jqGrid.min.js" type="text/javascript"></script> -->
<!-- agregados -->
<script src="{% admin_media_prefix %}js/jqgrid3.8.2/js/jquery.tablednd.js" type="text/javascript"></script>
<script src="{% admin_media_prefix %}js/jqgrid3.8.2/js/jquery.contextmenu.js" type="text/javascript"></script>
<script src="{% admin_media_prefix %}js/jqgrid3.8.2/js/ui.multiselect.js" type="text/javascript"></script>

<!-- Script para Popup -->
<script type="text/javascript" src="{% admin_media_prefix %}js/fancybox/jquery.fancybox-1.3.4.pack.js"></script>
<!-- CSS para Popup -->
<link rel="stylesheet" type="text/css" href="{% admin_media_prefix %}js/fancybox/jquery.fancybox-1.3.4.css" media="screen" />


<script type="text/javascript">

jQuery(document).ready(function(){
        
	$('body').layout({
		resizerClass: 'ui-state-default',
                west__onresize: function (pane, $Pane) {
                    jQuery("#west_grid_usuario").jqGrid('setGridWidth',$Pane.innerWidth()-2);
                    jQuery("#west_grid_cursos").jqGrid('setGridWidth',$Pane.innerWidth()-2);
		}
	});
	$.jgrid.defaults = $.extend($.jgrid.defaults,{loadui:"enable"});
	var maintab =jQuery('#tabs','#RightPane').tabs({
        add: function(e, ui) {
            // append close thingy
            $(ui.tab).parents('li:first')
                .append('<span class="ui-tabs-close ui-icon ui-icon-close" title="Close Tab"></span>')
                .find('span.ui-tabs-close')
                .click(function() {
                    maintab.tabs('remove', $('li', maintab).index($(this).parents('li:first')[0]));
                });
            // select just added tab
            maintab.tabs('select', '#' + ui.panel.id);
        }
    });
    jQuery("#west_grid_usuario").jqGrid({
        url: "../media/js/jqgrid3.8.2/js/tree_usuario.xml",
        datatype: "xml",
        height: "auto",
        pager: false,
        loadui: "disable",
        colNames: ["id","Items","url"],
        colModel: [
            {name: "id",width:1,hidden:true, key:true},
            {name: "menu", width:150, resizable: false, sortable:false},
            {name: "url",width:1,hidden:true}
        ],
        treeGrid: true,
		caption: "Usuario",
        ExpandColumn: "menu",
        autowidth: true,
        //width: 180,
        rowNum: 200,
        ExpandColClick: true,
        treeIcons: {leaf:'ui-icon-document-b'},
        onSelectRow: function(rowid) {
            var treedata = $("#west_grid_usuario").jqGrid('getRowData',rowid);
            if(treedata.isLeaf=="true") {
                //treedata.url
                var st = "#t"+treedata.id;
				if($(st).html() != null ) {
					maintab.tabs('select',st);
				} else {
					maintab.tabs('add',st, treedata.menu);
					$(st,"#tabs").load(treedata.url);
				}
            }
        }
    });

    jQuery("#west_grid_cursos").jqGrid({
        url: "tree_cursos/",
        datatype: "json",
        height: "auto",
        pager: false,
        loadui: "disable",
        colNames: ["id","Semestres","url"],
        colModel: [
            {name: "id",width:1,hidden:true, key:true},
            {name: "menu", width:150, resizable: false, sortable:false},
            {name: "url",width:1,hidden:true}
        ],
        treeGrid: true,
		caption: "Cursos",
        ExpandColumn: "menu",
        autowidth: true,
        //width: 180,
        rowNum: 200,
        ExpandColClick: true,
        treeIcons: {leaf:'ui-icon-document-b'},
        onSelectRow: function(rowid) {
            var treedata = $("#west_grid_cursos").jqGrid('getRowData',rowid);
            if(treedata.isLeaf=="true") {
                //treedata.url
                var st = "#t"+treedata.id;
				if($(st).html() != null ) {
					maintab.tabs('select',st);
				} else {
					maintab.tabs('add',st, treedata.menu);
					$(st,"#tabs").load(treedata.url);
				}
            }
        }
    });
	
// end splitter

    $("a#publicidad").fancybox({
        'overlayShow'    :       true,
        'overlayOpacity' :       0.8,
        'overlayColor'   :       'black',
        'transitionIn'   : 'elastic',
        'transitionOut'  : 'elastic'
                    
    });

});
</script>
</head>
<body onload='$("a#publicidad").trigger("click");'>
  	<div id="LeftPane" class="ui-layout-west ui-widget ui-widget-content">
                <img width="196" height="107" src="{% admin_media_prefix %}logo.png">
		<table id="west_grid_usuario"></table>
		<table id="west_grid_cursos"></table>
	</div> <!-- #LeftPane -->
	<div id="RightPane" class="ui-layout-center ui-helper-reset ui-widget-content" ><!-- Tabs pane -->
                <div id="switcher"></div>
		<div id="tabs" class="jqgtabs">
			<ul>
				<li><a href="#tabs-1">Campus Virtual UDL</a></li>
			</ul>
			<div id="tabs-1" style="font-size:12px;">Bienvenidos al Campus Virtual de la Universidad de Lambayeque<br/>
			<br/>
			<p>Favor de tomar las siguientes encuestas
			
			<a href="http://200.37.62.149/encuesta/tomarencuesta/5/"> Parte 1</a> <br/>
			<a href="http://200.37.62.149/encuesta/tomarencuesta/9/"> Parte 2</a>
			
			<br/>
			</p>
			</div>
		</div>
                <!--<div style="display: none;">
                <a id="publicidad" href="{% admin_media_prefix %}js/fancybox/cronograma_semestre_2010_II.jpg"><img alt="publicidad" src="{% admin_media_prefix %}js/fancybox/cronograma_semestre_2010_II.jpg" /></a>
                </div>-->
	</div> <!-- #RightPane -->
</body>
</html>
